Description

If your atlas has a fixed scale, when you change the scale in the preview it does not change the atlas, which is confusing.

Hence, to change the atlas scale, one must:

1. disable atlas

2. modify scale

3. re-enable atlas.

The two should be synchronized.

Associated revisions

Revision f252a965 - 2014-06-14 02:10 PM - Nyall Dawson

[composer] Scale changes while in atlas fixed scale mode are permanently applied (fix #9602)

History

#1 - 2014-05-31 07:22 PM - Nyall Dawson

I've been thinking about a possible solution to this. How do you feel about me adding a text input next to the map's atlas "fixed scale" option, which allows

the fixed scale to be set? This has the benefits:

- All settings which affect atlas extents are grouped together (along with margin around scale, the scaling mode radio buttons)

- We still maintain the useful feature that during an atlas preview the extent and scale of a map can be temporarily modified without affecting the map for

other features in the atlas

What's your thoughts?

#2 - 2014-05-31 07:22 PM - Nyall Dawson

- Status changed from Open to Feedback

#3 - 2014-06-02 10:30 PM - Denis Rouzaud

The main problem I see is that it won't be WYSIWYG anymore.

Also, I think it's confusing to have to scale fields.

I don't see a real interest of leaving a different scale in the composer.

You can zoom in/out to see something and go back to the fixed scale.

I think it's the simplest and clearest.

2024-03-13 1/2



#4 - 2014-06-02 11:09 PM - Nyall Dawson

The issue is that any changes to the scale would then be permanant and apply to the entire atlas. You'd lost the ability to temporarily override the scale for

a single feature/page. The alternative would be for a dialog asking the user if they want scale changes to apply to the atlas or just the current feature, but

that sounds like bad ux to me...

#5 - 2014-06-03 07:33 AM - Denis Rouzaud

On the contrary, I don't think this is problem.

If you change it, it means it was changed for the whole atlas. 

The problem with what you proposed first is that you won't print what is shown on the screen and this should be avoided.

I agree that second alternative is really bad design.

Later when scale would be possibly data-defined, it won't be a problem anymore. If a single should have a different scale, you will define it in a field.

For me:

- keep the config as simple as possible: don't add new checkbox (e.g. do this in such case)

- keep it WYSIWYG

That's why I'm quite convinced that there should be only one scale definition.

But you seem quite convinced too ;)

#6 - 2014-06-11 04:30 AM - Nyall Dawson

- Status changed from Feedback to In Progress

Actually - you're right. I was working using this feature today and have come around to your way of thinking ;) It's not a trivial change, but I'll try to

implement it for 2.4

#7 - 2014-06-12 05:59 AM - Denis Rouzaud

Glad to hear!

I hope you can make it!

#8 - 2014-06-14 05:08 AM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"f252a965e91c7165d7269802f0f0cdbed1f2a7ab".
